org.custommonkey.xmlunit

## Class CountingNodeTester

- java.lang.Object
- - org.custommonkey.xmlunit.examples.CountingNodeTester
  - - org.custommonkey.xmlunit.CountingNodeTester

All Implemented Interfaces:
  NodeTester

Deprecated.
Use `CountingNodeTester` instead.

    public class CountingNodeTester
    extends CountingNodeTester

Counts the number of nodes in a document to allow assertions to be made using a NodeTest.
Examples and more at xmlunit.sourceforge.net

See Also:
  `NodeTest`

### Constructor Summary

Constructors
Constructor and Description
`CountingNodeTester(int expectedNumNodes)` Deprecated.

### Method Summary

### Methods inherited from class org.custommonkey.xmlunit.examples.CountingNodeTester

`noMoreNodes, resetCounter, testNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountingNodeTester

    public CountingNodeTester(int expectedNumNodes)

Deprecated.